Name:		osso-gwobex
Version:	0.64
Release:	2.bef6bc21%{?dist}
Summary:	Obex helper library

Group:		System Environment/Libraries
License:	LGPLv2
# And in non-git at:
# http://maemo.gitorious.org/maemo-bluetooth/osso-gwobex
URL:		git://gitorious.org/maemo-bluetooth/osso-gwobex.git
# http://maemo.gitorious.org/maemo-bluetooth/osso-gwobex/archive-tarball/bef6bc21
# Note that you'll need to try and access the file a few times, as it's
# generated on-the-fly
Source0:	maemo-bluetooth-osso-gwobex-bef6bc21.tar.gz
Patch0:		0001-Fix-typo-in-incomming.patch
Patch1:		0002-Always-use-nice-abort.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	glib2-devel
BuildRequires:	openobex-devel
BuildRequires:	doxygen
BuildRequires:	autoconf automake libtool

%description
osso-gwobex contains a GLib helper library for ObexFTP and
ObexPush access.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
License:	LGPLv2+
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel pkgconfig

%description devel
This package contains the libraries and header files that are needed
for writing applications that use ObexPush and ObexFTP.

%prep
%setup -q -n maemo-bluetooth-osso-gwobex
%patch0 -p1 -b .typo
%patch1 -p1 -b .nice-abort

%build
autoreconf -v --force --install
%configure --enable-docs=yes
make %{?_smp_mflags}
doxygen doxygen.cfg

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
cp -a debian/changelog ChangeLog

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a $RPM_BUILD_ROOT/%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS README ChangeLog
%{_libdir}/libgwobex.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/
%{_includedir}/gw-obex.h
%{_libdir}/libgwobex.so
%{_libdir}/pkgconfig/libgwobex.pc

%changelog
* Thu Feb 18 2010 Bastien Nocera <bnocera@redhat.com> 0.64-2.bef6bc21
- Modifications from the package review

* Thu Feb 18 2010 Bastien Nocera <bnocera@redhat.com> 0.64-1.bef6bc21
- First version

